ASE-RUN(1)

NAME
ase-run - Run calculations with ASE's calculators

DESCRIPTION
Please use "ase run" instead of "ase-run" usage: ase run [-h] [-t TAG] [-p key=value,...] [-d DATABASE] [-S]

    [--properties PROPERTIES] [-f MAXIMUM_FORCE] [--constrain-tags T1,T2,...] [-s MAXIMUM_STRESS] [-E EQUATION_OF_STATE] [--eos-type EOS_TYPE] [-i] [-c COLLECTION] [--modify ...] [--after AFTER] calculator [names [names ...]]

Run calculation with one of ASE's calculators: abinit, aims, amber, asap, castep, cp2k, demon, dftb, dmol, eam, elk, emt, exciting, fleur, gaussian, gpaw, gromacs, gulp, hotbit, jacapo, lammps, lammpslib, lj, mopac, morse, nwchem, octopus, onetep, siesta, tip3p, turbomole, vasp.

  positional arguments:

    calculator names

  optional arguments:

-h, --help
    show this help message and exit

-t TAG, --tag TAG
    String tag added to filenames.

-p key=value,..., --parameters key=value,...
    Comma-separated key=value pairs of calculator specific parameters.

-d DATABASE, --database DATABASE
    Use a filename with a ".db" extension for a sqlite3 database or a ".json" extension for a simple json database. Default is no database

-S, --skip
    Skip calculations already done.

--properties PROPERTIES
    Default value is "efsdMm" meaning calculate energy, forces, stress, dipole moment, total magnetic moment and atomic magnetic moments.

-f MAXIMUM_FORCE, --maximum-force MAXIMUM_FORCE
    Relax internal coordinates.

--constrain-tags T1,T2,...
    Constrain atoms with tags T1, T2, ...

-s MAXIMUM_STRESS, --maximum-stress MAXIMUM_STRESS
    Relax unit-cell and internal coordinates.

-E EQUATION_OF_STATE, --equation-of-state EQUATION_OF_STATE
    Use "-E 5,2.0" for 5 lattice constants ranging from -2.0 % to +2.0 %.

--eos-type EOS_TYPE
    Selects the type of eos.

-i, --interactive

-c COLLECTION, --collection COLLECTION

--modify ...
    Modify atoms with Python statement. Example: --modify="atoms.positions[-1,2]+=0.1".

--after AFTER
    Perform operation after calculation. Example: --after="atoms.calc.write(...)"